Get chats for the authenticated dealer.
Read-only endpoint for listing chat conversations with optional filtering and pagination.
Authorization
basic Basic Authorization header
In: header
Query Parameters
Gets or sets the maximum number of rows to take (overrides base to set max to 100).
int321 <= value <= 100Gets or sets the channel filter (e.g., "sms", "email", "webchat").
Gets or sets the start date filter for created date.
date-timeGets or sets the end date filter for created date.
date-timeGets or sets the start date filter for modified date.
date-timeGets or sets the end date filter for modified date.
date-timeGets or sets the conversation status filter (e.g., "Active", "Ended", "Paused").
Gets or sets a value indicating whether to include archived conversations.
Gets or sets the sort order ("asc" or "desc"). Default is descending.
Gets or sets the number of rows to skip.
int320 <= value <= 2147483647Response Body
application/json
application/json
application/json
application/json
curl -X GET "https://api.dealerai.com/api/v1/chats/chats"{
"total_row_count": 0,
"row_count": 0,
"rows": [
{
"conversation_id": "string",
"dealer_id": "string",
"channel": "string",
"contact_info": {
"full_name": "string",
"email": "string",
"phone": "string"
},
"is_likely_spam": true,
"flag": [
"string"
],
"is_archived": true,
"status": "string",
"is_adf": true,
"message_count": 0,
"created_date": "2019-08-24T14:15:22Z",
"last_online_date_time": "2019-08-24T14:15:22Z",
"last_modified_date": "2019-08-24T14:15:22Z",
"messages": [
{
"role": "string",
"text": "string",
"attachments": [
{
"content_type": "string",
"content_url": "string",
"content": null,
"name": "string"
}
],
"date_created": "2019-08-24T14:15:22Z"
}
]
}
]
}{
"message": "string",
"details": null
}{
"message": "string",
"details": null
}{
"message": "string",
"details": null
}